cURL
retry_defaults
curl --request POST \ --url https://api.anchorbrowser.io/v1/batch-sessions/{batch_id}/retry \ --header 'Content-Type: application/json' \ --header 'anchor-api-key: <api-key>' \ --data ' { "retry_failed_only": true, "max_retries": 1 } '
{ "data": { "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "pending", "retried_sessions": 123, "message": "<string>" } }
Retries failed sessions in a batch by creating new browser pods for each failed session. The batch status will be set back to ‘processing’.
API key passed in the header
The unique identifier of the batch
Whether to only retry failed sessions
Maximum number of attempts per failed session. Each session is retried up to this many times, stopping on first success.
1 <= x <= 3
Retry initiated successfully
Show child attributes
Was this page helpful?